### Enumeration

# Gio EmblemOrigin

since: 2.18

#### Declaration

    enum Gio.EmblemOrigin

#### Description [src]

GEmblemOrigin is used to add information about the origin of the emblem to `GEmblem`.

Available since: 2.18

#### Members

`G_EMBLEM_ORIGIN_UNKNOWN`

  Emblem of unknown origin.

  - Value: `0`
  - Available since: 2.18
`G_EMBLEM_ORIGIN_DEVICE`

  Emblem adds device-specific information.

  - Value: `1`
  - Available since: 2.18
`G_EMBLEM_ORIGIN_LIVEMETADATA`

  Emblem depicts live metadata, such as “readonly”.

  - Value: `2`
  - Available since: 2.18
`G_EMBLEM_ORIGIN_TAG`

  Emblem comes from a user-defined tag, e.g. set by nautilus (in the future).

  - Value: `3`
  - Available since: 2.18